Subject: Re: bug#58925: 29.0.50; url-open-stream has no option pass tls options per call

From: Björn Bidar <[email-masked]>
Date: Tue, 01 Nov 2022 12:53:42 +0200

Robert Pluim <[email-masked]> writes:

>>>>>> On Mon, 31 Oct 2022 13:35:16 +0200, Björn Bidar via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:
>
>     Björn> While investigating who to use magit with tls client certificates
>     Björn> I noticed that url-open-stream has no option to pass options to
>     Björn> network-open-stream on a per connection basis to do thing like e.g.
>     Björn> request the use of tls client certificates.
>
>     Björn> If this was possible the client could be able to call url with something
>     Björn> like (url-http "https://example.com" 'my-cb gw-options) to pass more
>     Björn> options to the specific gateway that is used.
>
>     Björn> I know it is possible to use network-stream-use-client-certificates
>     Björn> however that might be not always as elegant to use.
>
> Elegance is in the eye of the beholder :-)
> `network-stream-use-client-certificates' lets you configure which
> client certificate is used for a host via auth-source. What other
> options did you have in mind?

As I said the option to pass options to the gw by something like a list
witn gw-options as an optional argument.

I don't think that would break existing usecases however I agree with
Stefan Kangas point of view.

Björn Bidar